AttachPolicy

POST/auth/v1/memberships/{user.org_id}/policies/{policy_id}/attachments

Path Parameters

user.org_id*org_id

The user.org_id path parameter.

policy_id*policy_id

The policy_id path parameter.

Request Body

required
application/json
{
  "type": "object",
  "properties": {
    "identity_type": {
      "allOf": [
        {
          "$ref": "#/components/schemas/auth.v1.PolicyIdentityType",
          "$ref-value": {
            "type": "string",
            "title": "PolicyIdentityType",
            "enum": [
              "POLICY_IDENTITY_TYPE_UNSPECIFIED",
              "POLICY_IDENTITY_TYPE_USER",
              "POLICY_IDENTITY_TYPE_API_KEY",
              "POLICY_IDENTITY_TYPE_CLIENTAUTH_CREDENTIAL"
            ]
          }
        }
      ],
      "title": "identity_type"
    },
    "identity_id": {
      "type": "string",
      "title": "identity_id"
    }
  },
  "title": "AttachPolicyRequest",
  "additionalProperties": false
}
identity_type?object
identity_id?string

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.PolicyAttachment",
  "$ref-value": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "title": "id"
      },
      "policy_id": {
        "type": "string",
        "title": "policy_id"
      },
      "identity_type": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.PolicyIdentityType",
            "$ref-value": {
              "type": "string",
              "title": "PolicyIdentityType",
              "enum": [
                "POLICY_IDENTITY_TYPE_UNSPECIFIED",
                "POLICY_IDENTITY_TYPE_USER",
                "POLICY_IDENTITY_TYPE_API_KEY",
                "POLICY_IDENTITY_TYPE_CLIENTAUTH_CREDENTIAL"
              ]
            }
          }
        ],
        "title": "identity_type"
      },
      "identity_id": {
        "type": "string",
        "title": "identity_id"
      },
      "created_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "created_at"
      }
    },
    "title": "PolicyAttachment",
    "additionalProperties": false
  }
}
curl -X POST "https://api.rixl.com/auth/v1/memberships/string/policies/string/attachments" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.PolicyAttachment",
  "$ref-value": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "title": "id"
      },
      "policy_id": {
        "type": "string",
        "title": "policy_id"
      },
      "identity_type": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.PolicyIdentityType",
            "$ref-value": {
              "type": "string",
              "title": "PolicyIdentityType",
              "enum": [
                "POLICY_IDENTITY_TYPE_UNSPECIFIED",
                "POLICY_IDENTITY_TYPE_USER",
                "POLICY_IDENTITY_TYPE_API_KEY",
                "POLICY_IDENTITY_TYPE_CLIENTAUTH_CREDENTIAL"
              ]
            }
          }
        ],
        "title": "identity_type"
      },
      "identity_id": {
        "type": "string",
        "title": "identity_id"
      },
      "created_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "created_at"
      }
    },
    "title": "PolicyAttachment",
    "additionalProperties": false
  }
}